LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPackageManagerFactory Interface Reference

The XPackageManagerFactory interface is used to obtain XPackageManager instances. More...

`import"XPackageManagerFactory.idl";`

Inheritance diagram for XPackageManagerFactory:

## Public Member Functions
XPackageManager | getPackageManager ([in] string context) raises (com::sun::star::lang::IllegalArgumentException)
| Method to create (or reusing and already existing) XPackageManager object to add or remove UNO packages persistently. More...

## Detailed Description

The XPackageManagerFactory interface is used to obtain XPackageManager instances.

You have to use the singleton `/singletons/com.sun.star.deployment.thePackageManagerFactory` exclusively.

Since
  OOo 2.0

Deprecated:
  Use XExtensionManager.

## Member Function Documentation

## ◆ getPackageManager()

XPackageManager getPackageManager | ( | [in] string | context | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Method to create (or reusing and already existing) XPackageManager object to add or remove UNO packages persistently.

Packages for context strings `"user"` and `"shared"` will be registered and revoked persistently.

Context strings other than `"user"`, `"shared"` will last in an com::sun::star::lang::IllegalArgumentException.

Parameters

  context | context string, e.g. `"user"` => persistent storage and registration into installation's user layer `"shared"` => persistent storage and registration into installation's shared layer

Returns
  XPackageManager object

Exceptions

  com::sun::star::lang::IllegalArgumentException | in case of an invalid context

The documentation for this interface was generated from the following file:

- com/sun/star/deployment/XPackageManagerFactory.idl